Frequent TCP RST on connections between HHVM and Redis
Closed, ResolvedPublic


While debugging T125735 I noticed frequent TCP RST in tcpdump returned by HHVM to rdb (Redis Job queues) hosts. This issue happens in appservers and jobrunners, so I opened the following bug to upstream:

Ideally we should come up with a fix and then a complete rollout of the new HHVM version.

elukey created this task.Apr 6 2017, 11:35 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2017, 11:35 AM is the related commit in the master branch of the hhvm upstream repo.

@MoritzMuehlenhoff whenever you are ready, can we add --^ to the 3.18 build?

I've merged the patch into our 3.18 package, a build is currently running on copper (but will take a few hours).

Package is built and available on copper for testing (but not yet uploaded to

Mentioned in SAL (#wikimedia-operations) [2017-04-18T10:20:14Z] <moritzm> uploaded HHVM 3.18.2+wmf2 for jessie-wikimedia/experimental (includes fix for T162354)

Mentioned in SAL (#wikimedia-releng) [2017-04-18T13:16:59Z] <elukey> upgrade deployment-jobrunner02 to hhvm 3.18.2+wmf2 - T162354

This comment was removed by MoritzMuehlenhoff.
elukey closed this task as Resolved.Apr 24 2017, 4:02 PM

Merged by upstream and included in the last 3.18 hhvm build.